org.apache.ignite.internal.processors.cache.transactions

## Class IgniteTxMap

- java.lang.Object
- - java.util.AbstractMap<IgniteTxKey,IgniteTxEntry>
  - - org.apache.ignite.internal.processors.cache.transactions.IgniteTxMap

All Implemented Interfaces:
  Externalizable, Serializable, Map<IgniteTxKey,IgniteTxEntry>

    public class IgniteTxMap
    extends AbstractMap<IgniteTxKey,IgniteTxEntry>
    implements Externalizable

Grid cache transaction read or write set.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`IgniteTxMap()` Empty constructor required for `Externalizable`.
`IgniteTxMap(Map<IgniteTxKey,IgniteTxEntry> txMap, IgnitePredicate<IgniteTxEntry> filter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `containsKey(Object key)`
`Set<Map.Entry<IgniteTxKey,IgniteTxEntry>>` `entrySet()`
`IgniteTxEntry` `get(Object key)`
`boolean` `isEmpty()`
`void` `readExternal(ObjectInput in)`
`IgniteTxEntry` `remove(Object key)`
`int` `size()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.util.AbstractMap

`clear, clone, containsValue, equals, hashCode, keySet, put, putAll, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Constructor Detail

#### IgniteTxMap

    public IgniteTxMap()

Empty constructor required for `Externalizable`.

#### IgniteTxMap

    public IgniteTxMap(Map<IgniteTxKey,IgniteTxEntry> txMap,
                       IgnitePredicate<IgniteTxEntry> filter)

Parameters:
  `txMap` - Transaction map.
  `filter` - Filter.

### Method Detail

#### entrySet

    public Set<Map.Entry<IgniteTxKey,IgniteTxEntry>> entrySet()

Specified by:
  `entrySet` in interface `Map<IgniteTxKey,IgniteTxEntry>`
Specified by:
  `entrySet` in class `AbstractMap<IgniteTxKey,IgniteTxEntry>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<IgniteTxKey,IgniteTxEntry>`
Overrides:
  `isEmpty` in class `AbstractMap<IgniteTxKey,IgniteTxEntry>`

#### size

    public int size()

Specified by:
  `size` in interface `Map<IgniteTxKey,IgniteTxEntry>`
Overrides:
  `size` in class `AbstractMap<IgniteTxKey,IgniteTxEntry>`

#### containsKey

    public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map<IgniteTxKey,IgniteTxEntry>`
Overrides:
  `containsKey` in class `AbstractMap<IgniteTxKey,IgniteTxEntry>`

#### get

    @Nullable
    public IgniteTxEntry get(Object key)

Specified by:
  `get` in interface `Map<IgniteTxKey,IgniteTxEntry>`
Overrides:
  `get` in class `AbstractMap<IgniteTxKey,IgniteTxEntry>`

#### remove

    public IgniteTxEntry remove(Object key)

Specified by:
  `remove` in interface `Map<IgniteTxKey,IgniteTxEntry>`
Overrides:
  `remove` in class `AbstractMap<IgniteTxKey,IgniteTxEntry>`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018